# Generated from tty-markdown-cli-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tty-markdown-cli

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A command-line tool for displaying Markdown documents in a nicely formatted terminal output
License: MIT
URL: https://ttytoolkit.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(kramdown) >= 1.16.2
# BuildRequires: rubygem(rspec) >= 3.0
BuildArch: noarch

%description
A command-line tool for displaying Markdown documents in a nicely fromatted
terminal output.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/tty-markdown
%{_bindir}/ttymarkdown
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/exe
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
